跳转到主要内容
资源中心/云资源池/镜像相关接口
PUTImage Operations起始版本 0.6同步需要认证

修改镜像状态

修改镜像状态

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    镜像的UUID,唯一标示该镜像

请求体字段

  • paramsObject必填

    请求体参数结构

    • stateEventString必填

      镜像的状态

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryImageInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • stateString必填

      镜像的启动状态

    • statusString必填

      镜像的就绪状态

    • sizeLong必填

      镜像大小

    • actualSizeLong必填

      镜像真实容量

    • md5SumString必填

      镜像的md5值

    • urlString必填

      镜像的URL地址

    • mediaTypeString必填

      镜像的类型

    • guestOsTypeString必填

      镜像对应的客户机操作系统类型

    • typeString必填

      内部使用字段

    • platformString必填

      镜像的系统平台

    • architectureString必填

      镜像CPU架构

    • formatString必填

      镜像的格式,比如:raw

    • systemBoolean必填

      标识是否为系统镜像

    • virtioBoolean必填

      是否支持virtio

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • backupStorageRefsList必填

      详情参考backupStorageRefs

      • imageUuidString必填

        镜像UUID

      • backupStorageUuidString必填

        镜像存储UUID

      • installPathString必填

        在镜像服务器上的安装路径

      • exportUrlString必填

        导出镜像的url

      • exportMd5SumString必填

        导出镜像的md5值

      • statusString必填

        镜像就绪状态

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

请求地址

PUT/zstack/v1/images/{uuid}/actions

/zstack/v1/images/{uuid}/actions

操作 ID

ChangeImageState

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "e4891e6ef3a64ea08ce91ab379a5c856", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0, "imageUuid": "e4891e6ef3a64ea08ce91ab379a5c856", "backupStorageUuid": "8bf8f2f17e7c4cca8d684ae5d89eee9e", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史